package com.jxml.quick.qmap;
import java.util.*;

final public class QMapEntry extends QKeyedBase
{
	public Object value=null;

	public QMapEntry(){}

	public QMapEntry(Map container, Object key, Object value)
	{
		super(container,key);
		this.value=value;
	}

	public void attach(Map container)
	{
		if (container!=null)
			container.put(key(),value);
	}
}
